package com.persagy.transfer.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.handle.CommonHandler;

/**
 * 通用controller
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年9月17日 上午10:02:22
 */
@RestController
public class CommonController {

    @Autowired
    private CommonHandler commonHandler;
    
    @RequestMapping("/refreshCache")
    public ResponseResult refreshCache(HttpServletRequest request) {
		// 生成设备类编码缓存
		this.commonHandler.createWDClassCache();
		
		// 生成项目ID缓存
		this.commonHandler.createWDProjectCache();
		
        return ResponseUtil.successResult("本地缓存刷新成功");
    }
    
}
