package com.persagy.transfer.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.pojo.dto.RwdObjecWd;
import com.persagy.transfer.service.IRwdObjecWdService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 对象实例表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 13:16:57
 */

@Api(tags = "对象实例表")
@RestController
@RequestMapping(value = "/rwdObjecWd", method = RequestMethod.POST)
public class RwdObjecWdController {
	
    @Autowired
    private IRwdObjecWdService rwdObjecWdService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryRwdObjecwdPj1101050001List")
    public ResponseResult queryRwdObjecwdPj1101050001List(@RequestBody RwdObjecWd rwdObjecWd) {
        return ResponseUtil.successResult();
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存")
	@RequestMapping(value = "createRwdObjecwdPj1101050001")
    public ResponseResult createRwdObjecwdPj1101050001(@RequestBody RwdObjecWd rwdObjecWd) {
        return ResponseUtil.successResult("保存成功");
    }
    
    /**
     * 更新
     */
	@ApiOperation(value = "更新")
	@RequestMapping(value = "updateRwdObjecwdPj1101050001")
    public ResponseResult updateRwdObjecwdPj1101050001(@RequestBody RwdObjecWd rwdObjecWd) {
        return ResponseUtil.successResult("更新成功");
    }

}
