package com.persagy.transfer.pojo.dto;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 对象实例表
 *
 * @author zhangqiankun
 * @version 1.0.0
 * @company persagy
 * @date 2021-09-16 13:16:57
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
public class RwdObjecWd {

    private String id; // 主键ID

    private String name; // 对象名称

    private String localId; // 对象本地编码

    private String localName; // 对象本地名称

    private String groupCode; //

    private String projectId; // 项目id

    private String objType; // 对象分类

    private String classCode; // 对象类型编码

    private Integer grouping; // 1单个对象,2对象组

    private Integer valid; // 对象状态:1有效,0无效

    //	private JSONObject infos; // 边类型编码
    private String infos; // 边类型编码

    //	private JSONObject virtualInfoCodes; // 虚点清单
    private String virtualInfoCodes; // 虚点清单

    private Date createTime; // 创建时间

    private Date updateTime; // 最后更新时间

    private String createUser; // 创建用户

    private String updateUser; // 最后更新用户

    private String createApp; // 创建应用

    private String updateApp; // 最后更新应用

    public static Builder builder() {
        return new Builder();
    }

    public static class Builder {

        private RwdObjecWd rwdObjecWd = new RwdObjecWd();

        public Builder id(String id) {
            rwdObjecWd.setId(id);
            return this;
        }

        public Builder name(String name) {
            rwdObjecWd.setName(name);
            return this;
        }

        public Builder localId(String localId) {
            rwdObjecWd.setLocalId(localId);
            return this;
        }

        public Builder localName(String localName) {
            rwdObjecWd.setLocalName(localName);
            return this;
        }

        public Builder groupCode(String groupCode) {
            rwdObjecWd.setGroupCode(groupCode);
            return this;
        }

        public Builder projectId(String projectId) {
            rwdObjecWd.setProjectId(projectId);
            return this;
        }

        public Builder objType(String objType) {
            rwdObjecWd.setObjType(objType);
            return this;
        }

        public Builder classCode(String classCode) {
            rwdObjecWd.setClassCode(classCode);
            return this;
        }

        public Builder grouping(Integer grouping) {
            rwdObjecWd.setGrouping(grouping);
            return this;
        }

        public Builder valid(Integer valid) {
            rwdObjecWd.setValid(valid);
            return this;
        }

//		public Builder infos(JSONObject infos) {
//			rwdObjecWd.setInfos(infos);
//			return this;
//		}

        public Builder infos(String infos) {
            rwdObjecWd.setInfos(infos);
            return this;
        }


//		public Builder virtualInfoCodes(JSONObject virtualInfoCodes) {
//			rwdObjecWd.setVirtualInfoCodes(virtualInfoCodes);
//			return this;

        public Builder virtualInfoCodes(String virtualInfoCodes) {
            rwdObjecWd.setVirtualInfoCodes(virtualInfoCodes);
            return this;
        }

        public Builder createTime(Date createTime) {
            rwdObjecWd.setCreateTime(createTime);
            return this;
        }

        public Builder updateTime(Date updateTime) {
            rwdObjecWd.setUpdateTime(updateTime);
            return this;
        }

        public Builder createUser(String createUser) {
            rwdObjecWd.setCreateUser(createUser);
            return this;
        }

        public Builder updateUser(String updateUser) {
            rwdObjecWd.setUpdateUser(updateUser);
            return this;
        }

        public Builder createApp(String createApp) {
            rwdObjecWd.setCreateApp(createApp);
            return this;
        }

        public Builder updateApp(String updateApp) {
            rwdObjecWd.setUpdateApp(updateApp);
            return this;
        }

        public RwdObjecWd build() {
            return rwdObjecWd;
        }

    }
}
